<template>
    <div class="download">
        <div class="download-sidebar">
            <ReSidebar
            :side-bar-list="sideList"
            @click="handleSideClick"
            :active-index="activeIndex"
            />
        </div>
      <img v-if="downloadNo === 1" src="../../assets/images/pageFour/download1.webp" alt="">
      <img v-if="downloadNo === 2" src="../../assets/images/pageFour/download2.webp" alt="">
      <img v-if="downloadNo === 3" src="../../assets/images/pageFour/download3.webp" alt="">
      <img v-if="downloadNo === 4" src="../../assets/images/pageFour/download4.webp" alt="">
      <img v-if="downloadNo === 5" src="../../assets/images/pageFour/download5.webp" alt="">
    </div>
  </template>
  
  <script>
  import ReSidebar from "@/components/ReSidebar.vue";
  export default {
    name: "download",
    components: {
        ReSidebar,
    },
    data() {
      return {
        sideList: [
            {
                name: "最近",
                icon: "ic_download1",
            },
            {
                name: "音频",
                icon: "ic_download2",
            },
            {
                name: "视频",
                icon: "ic_download3",
            },
            {
                name: "图片",
                icon: "ic_download4",
            },
            {
                name: "下载",
                icon: "ic_download5",
            },
        ],
        activeIndex: 0,
        downloadNo: 1
      }
    },
    methods: {
        handleSideClick(item, index) {
            this.activeIndex = index;
            if(item.icon === "ic_download1") {
                this.downloadNo = 1
            }
            if(item.icon === "ic_download2") {
                this.downloadNo = 2
            }
            if(item.icon === "ic_download3") {
                this.downloadNo = 3
            }
            if(item.icon === "ic_download4") {
                this.downloadNo = 4
            }
            if(item.icon === "ic_download5") {
                this.downloadNo = 5
            }
        },
    }
  };
  </script>
  
  <style scoped lang="scss">
  .download {
    width: 100%;
    height: 100%;
    padding-top: 46px;
    background: #f0f3f7;
    box-sizing: border-box;
    padding-bottom: 86px;
    box-sizing: border-box;
    display: flex;
    justify-content: space-between;
    align-items: center;
    .download-sidebar{
        width: 229px;
    }
    img {
        pointer-events: none;
        width: calc(100% - 249px);
        height: 100%;
        object-fit: cover;
    }
  }
  </style>